スポンサーサイト

上記の広告は1ヶ月以上更新のないブログに表示されています。
新しい記事を書く事で広告が消せます。

[Web] jQuery で ui.datepicker を使おうとしたら $(input).zIndex is not a function とかエラーになるでござる

カレンダー形式で日付を選択できる jQuery の ui.Datepicker というものがあるのですが、

jQuery UI - Datepicker Demos & Documentation
http://jqueryui.com/demos/datepicker/

とあるところでサンプルを落として、別途 jQuery 本体と、jQuery UI を
ダウンロードして来て参照設定してみたけど、

エラー: $(input).zIndex is not a function

とかいうエラーが出てきて(Firefox だとエラーコンソールで確認)、
カレンダー画面が開かない。なんでかしらと調べると下記ページに辿り着く。

jquery ui $(input).zIndex is not a function - jQuery Forum
http://forum.jquery.com/topic/jquery-ui-input-zindex-is-not-a-function

英語は不得意ですが、どうも同じような事象。
斜め読みすると、どうも jQuery と jQuery UI のバージョンによって、
この zIndex という関数がなかったりするもよう。

というわけで、jQuery UI のページでちゃんと確認してみましょう。

jQuery UI - Configure your download
http://jqueryui.com/download

Version

Select the release version you want to download.
1.8.9 (Stable, for jQuery 1.3.2+)
1.7.3 (Legacy release, for jQuery 1.3.2)



よう見たら書いてますね。1.3.2 より新しい jQuery を使う場合は、
jQuery UI は 1.8.9 のほうを使う必要があるようです。

スポンサーサイト

テーマ : webサイト作成
ジャンル : コンピュータ

タグ : jQuery

検索フォーム
リンク
最新記事
最新コメント
カテゴリ
RSSリンクの表示
上記広告は1ヶ月以上更新のないブログに表示されています。新しい記事を書くことで広告を消せます。